Judgments

India Judgments

Call GET /india/judgments on the Corpus API.

GET /india/judgments

Call GET /india/judgments on the Corpus API.

Category: India · Judgments

Authentication

Send the provisioned API key in the X-API-KEY header.

Required scopes: india:read, litigation:read.

Request

NameInRequiredTypeConstraintsDescription
court_levelquerynostring | null
courtquerynostring | null
yearquerynointeger | null
queryquerynostring | null
as_ofquerynostring | null
limitquerynointegerdefault 100; min 1; max 1000
offsetquerynointegerdefault 0; min 0

Example request

curl --request GET \
  --url 'https://corpus-api.onera.app/india/judgments?query=What+were+the+principal+risk+factors%3F&limit=100' \
  --header "X-API-KEY: ${CORPUS_API_KEY}"

Responses

StatusDescriptionContent typeSchema
200Successful Responseapplication/jsonJudgmentsResponse
400Invalid parameter combinationapplication/jsonErrorResponse
401Missing or invalid API keyapplication/jsonErrorResponse
403Insufficient jurisdiction or scopeapplication/jsonErrorResponse
404Unknown resourceapplication/jsonErrorResponse
422Request schema validation failedapplication/jsonErrorResponse
429Rate limit exceededapplication/jsonErrorResponse
503Source content is unavailable or still processingapplication/jsonErrorResponse

Representative 200 response

{
  "judgments": [
    {
      "judgment_id": "judgment-example",
      "has_pdf": true,
      "has_text": true,
      "court_level": "string",
      "court": "string",
      "bench": "string",
      "case_title": "string",
      "case_number": "string",
      "cnr": "string",
      "judges": "string",
      "disposal_nature": "string",
      "registration_date": "2025-12-31",
      "decision_date": "2025-12-31",
      "year": 1,
      "details": {},
      "knowledge_time": "2025-12-31T23:59:59Z"
    }
  ],
  "meta": {
    "jurisdiction": "IN",
    "count": 1,
    "limit": 10,
    "offset": 0,
    "next_offset": null,
    "as_of": "2025-12-31T23:59:59Z",
    "normalization_version": "string",
    "provenance": {}
  }
}